%define module_name Math-JS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Math/Ryu.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Emulate JavaScript arithmetic in perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SI/SISYPHUS/%{module_name}-%{version}.tar.gz

%description
Assign numeric values to Math::JS objects, and perform arithmetic
  operations on those values according to the rules that JavaScript
  uses.
  The main interest here is to replicate the 32-bit integer arithmetic
  as performed by JavaScript.
  For the floating point arithmetic, JavaScript behaves identically to
  perls configured to have $Config{nvsize} of 8, and therefore the building
  of Math::JS is restricted to perls that have that configuration.
  Prior to perl-5.30, perl's assignment of floating-point values to
  double-precision NVs was buggy - hence we also limit this module to
  perl-5.30.0 and later.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
* Tue Mar 19 2024 Igor Vlasenko <viy@altlinux.org> 0.05-alt1
- updated by package builder

* Fri Jan 26 2024 Igor Vlasenko <viy@altlinux.org> 0.04-alt1
- updated by package builder

* Mon Jan 15 2024 Igor Vlasenko <viy@altlinux.org> 0.02-alt1
- initial import by package builder

